@import url(../assets/Gaby.ttf);
@font-face {
    font-family: Gaby;
    src: url(../assets/Gaby.ttf);
}
:root {
    --white: #f1f1f1;
    --black: #111;
    --callouts: #A8D0E6;
    --dark: #24305E;
    --light: #374785;
    --subtle: #F76C6C;
    --chill: #F8E9A1;
}
/*
#D83F87
#2A1B3D
#44318D
#E98074
#A4B3B6
*/
* {
    margin: 0;
    padding: 0;
}
body {
    font-family: Gaby,serif;
    font-size: 20px;
    background: var(--dark);
    color: var(--white);
    padding-bottom: 4rem;
    text-wrap: balance;
    transition: all .25s;
}
body.overflow {
    overflow: hidden;
}
h1,h2,h3 {
    margin: 0;
    text-align: center;
    font-weight: 700;
    line-height: 1;
}
h1 {
    margin-top: 20px;
    font-size: clamp(30px,5vw,39px);
}
h2 {
    margin-bottom: 20px;
    font-size: clamp(40px, 8vw, 64px);
    text-shadow: 0px 0px 4px var(--dark);
    line-height: 1.5;
}
h3 {
    font-size: clamp(30px, 6vw, 54px);
}
h4 {
    font-size: clamp(25px, 4vw, 34px);
}
hr {
    border: none;
    height: 2px;
    background: linear-gradient(90deg,var(--dark),var(--light),var(--dark));
    margin: 20px auto;
    max-width: 90vw;
}
.anchors {
    display: block;
    font-size: 17px;
    padding: 10px 20px;
    max-width: 80vw;
    margin: 10px auto;
}
#swipeMsg {
    position: fixed;
    padding-left: 3px;
    z-index: 2;
    color: white;
    text-transform: uppercase;
    background: var(--dark);
    padding-right: 5px;
    top: 0;
    left: 0;
}
.gallery-wrap {
    position: relative;
    padding: 100px 0 0;
    background: var(--dark);
}
.gallery-wrap::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 40px;
    left: 0;
    bottom: -39px;
    background: var(--dark);
    border-radius: 0 0 100% 100%  /100%;
    z-index: 1;
}
.gallery-wrap:nth-child(even),
.gallery-wrap:nth-child(even)::after{
    background: var(--light);
}
.anchors + .gallery-wrap:before {
    content:'';
    position:absolute;
    background:var(--dark);
    width:100%;
    height:40px;
    top:0;
    left:0;
    border-radius: 0 0 100% 100%  /100%;
    transform:translatey(-50%);
}
.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin: 0 auto;
    max-width: 1200px;
    padding: 10px 25px 50px;
}
.gallery.loading {
    display: none;
}
.year {
    font-family: helvetica, sans-serif;
    width: 100%;
    list-style-type: none;
    padding: 20px 0;
    color: var(--subtle);
}
.loading .year {
    display: none;
}
.description {
    font-family: helvetica, sans-serif;
    text-align: center;
    margin: 0 auto 20px;
    max-width: 600px;
    padding: 0 20px;
    line-height: 1.3;
}
.pic {
    list-style-type: none;
    height: 200px;
    cursor: pointer;
    position: relative;
}
@media (max-width: 640px){
    .pic {
        height: auto;
    }
}
.pic img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    vertical-align: middle;
    border: 3px solid rgba(255,255,255,.8);
    border-radius: 5px;
    transition: all .25s ease-in-out;
}
.pic a:hover img {
    box-shadow: 0 3px 10px rgba(0,0,0,1);
    border-color: var(--white);
}
button.link {
    border: none;
    margin: 0;
    padding: 0;
    width: auto;
    overflow: visible;
    background: transparent;
    outline: none;
    /* inherit font & color from ancestor */
    color: inherit;
    font: inherit;
    /* Normalize `line-height`. Cannot be changed from `normal` in Firefox 4+. */
    line-height: normal;
    /* Corrects font smoothing for webkit */
    -webkit-font-smoothing: inherit;
    -moz-osx-font-smoothing: inherit;
    /* Corrects inability to style clickable `input` types in iOS */
    -webkit-appearance: none;
}
button.link:focus:not(:focus-visible) {
    outline: none;
}
button.link:focus:not(:-moz-focusring) {
    outline: none;
}
#large {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    background: rgba(0,0,0,.75);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    transition: all .5s;
    z-index: 1;
}
#large.hidden {
    opacity: 0;
    top: 50%;
    left: 50%;
    width: 0;
    height: 0;
    overflow: hidden;
}
#large.loading img {
    display: none;
}
.loading .gallery,
.loading #large {
    display: none;
}
#spinner {
    display: none;
    margin: 0 auto;
}
#large figure {
    position: relative;
    margin: 2.5%;
    max-width: 95%;
    max-height: 95%;
    align-self: center;
    min-width: 200px;
    min-height: 200px;
    transition: all .25s;
}
/****/
.lds-dual-ring {
    /* change color here */
    color: var(--callouts);
}
.lds-dual-ring,
.lds-dual-ring:after {
    box-sizing: border-box;
}
.lds-dual-ring {
    display: none;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 80px;
}
#large.loading .lds-dual-ring {
    display: inline-block;
}
.lds-dual-ring:after {
    content: " ";
    display: block;
    width: 64px;
    height: 64px;
    margin: 8px;
    border-radius: 50%;
    border: 6.4px solid currentColor;
    border-color: currentColor transparent currentColor transparent;
    animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
}
/****
#large.loading figure {
    background-image: url(../img/loading.gif);
    background-position: center 52%;
    background-repeat: no-repeat;
    border-radius: 50%;
    background-size: cover;
}*/
#large img {
    border: 10px solid white;
    max-width: calc(100vw - 126px);
    max-height: calc(100vh - 120px);
}
#large .year-overlay {
    position: absolute;
    top: 0;
    right: 0;
    background: var(--white);
    color: var(--light);
    border-bottom-left-radius: 8px;
    padding: 10px;
}
#large.loading .year-overlay {
    display: none;
}
#large figcaption {
    color: white;
    text-align: center;
}
#large.loading figcaption {
    display: none;
}
a.download {
    color: white;
    border: solid 1px;
    padding: 5px;
    margin-top: 5px;
    display: inline-block;
    text-decoration: none;
    background: rgba(0,0,0,.5);
    font-family: Arial, sans-serif;
    font-size: 14px;
    text-transform: uppercase;
    cursor: pointer;
    transition: all .25s;
}
a.download:hover {
    background: black;
}
button {
    border: 0;
    background: black;
    color: white;
    border-radius: 50%;
    font-size: 2em;
    cursor: pointer;
}
#close {
    position: absolute;
    top:0;
    right: 0;
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0 0 3px;
    background: #444;
    align-items: center;
    line-height: 1;
    width: 40px;
    height: 42px;
    font-family: verdana;
    font-size: 22px;
    transition: background .25s;
}
#close:hover {
    background: #555;
}
#prev,
#next {
    position: absolute;
    padding: 5px 15.4px 8px;
    top: calc(50% - 25px);
}
#prev.hidden,
#next.hidden {
    display: none;
}
#prev {
    left: 3px;
}
#next {
    right: 3px; 
}
.toplink {
    text-decoration: none;
    position: fixed;
    display: flex;
    bottom: 20px;
    right: 20px;
    background: rgba(255,255,255,.8);
    transform: rotate(-90deg);
    color: black;
    font-size: clamp(50px,5vw,63px);
    border-radius: 50%;
    z-index: 1;
    transition: all .3s;
}
.toplink:hover {
    background: white;
}
.icon-play2 {
    line-height: .8;
}
footer {
    position: relative;
    font-family: helvetica, sans-serif;
    font-size: .8em;
    color: rgba(255,255,255,.9);
    text-align: center;
    margin-top: 70px;
    z-index: 2;
}
